Package com.emc.d2fs.services.hyperlink_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.hyperlink_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.hyperlink_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.hyperlink_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelCheckoutPdfFileRequest`
  `createCancelCheckoutPdfFileRequest()`
  Create an instance of `CancelCheckoutPdfFileRequest`
  `CancelCheckoutPdfFileResponse`
  `createCancelCheckoutPdfFileResponse()`
  Create an instance of `CancelCheckoutPdfFileResponse`
  `CheckoutPdfFileRequest`
  `createCheckoutPdfFileRequest()`
  Create an instance of `CheckoutPdfFileRequest`
  `CheckoutPdfFileResponse`
  `createCheckoutPdfFileResponse()`
  Create an instance of `CheckoutPdfFileResponse`
  `CreateHyperlinkRequest`
  `createCreateHyperlinkRequest()`
  Create an instance of `CreateHyperlinkRequest`
  `CreateHyperlinkResponse`
  `createCreateHyperlinkResponse()`
  Create an instance of `CreateHyperlinkResponse`
  `DeleteHyperlinkRequest`
  `createDeleteHyperlinkRequest()`
  Create an instance of `DeleteHyperlinkRequest`
  `DeleteHyperlinkResponse`
  `createDeleteHyperlinkResponse()`
  Create an instance of `DeleteHyperlinkResponse`
  `GetCheckinPdfFileUrlsRequest`
  `createGetCheckinPdfFileUrlsRequest()`
  Create an instance of `GetCheckinPdfFileUrlsRequest`
  `GetCheckinPdfFileUrlsResponse`
  `createGetCheckinPdfFileUrlsResponse()`
  Create an instance of `GetCheckinPdfFileUrlsResponse`
  `GetDestinationUrlsRequest`
  `createGetDestinationUrlsRequest()`
  Create an instance of `GetDestinationUrlsRequest`
  `GetDestinationUrlsResponse`
  `createGetDestinationUrlsResponse()`
  Create an instance of `GetDestinationUrlsResponse`
  `SetDestinationVersionRequest`
  `createSetDestinationVersionRequest()`
  Create an instance of `SetDestinationVersionRequest`
  `SetDestinationVersionResponse`
  `createSetDestinationVersionResponse()`
  Create an instance of `SetDestinationVersionResponse`
  `ShiftDestinationPageRequest`
  `createShiftDestinationPageRequest()`
  Create an instance of `ShiftDestinationPageRequest`
  `ShiftDestinationPageResponse`
  `createShiftDestinationPageResponse()`
  Create an instance of `ShiftDestinationPageResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.hyperlink_service

- ## Method Details

  - ### createCancelCheckoutPdfFileRequest

    public CancelCheckoutPdfFileRequest createCancelCheckoutPdfFileRequest()
    Create an instance of `CancelCheckoutPdfFileRequest`

  - ### createCancelCheckoutPdfFileResponse

    public CancelCheckoutPdfFileResponse createCancelCheckoutPdfFileResponse()
    Create an instance of `CancelCheckoutPdfFileResponse`

  - ### createSetDestinationVersionRequest

    public SetDestinationVersionRequest createSetDestinationVersionRequest()
    Create an instance of `SetDestinationVersionRequest`

  - ### createSetDestinationVersionResponse

    public SetDestinationVersionResponse createSetDestinationVersionResponse()
    Create an instance of `SetDestinationVersionResponse`

  - ### createDeleteHyperlinkRequest

    public DeleteHyperlinkRequest createDeleteHyperlinkRequest()
    Create an instance of `DeleteHyperlinkRequest`

  - ### createDeleteHyperlinkResponse

    public DeleteHyperlinkResponse createDeleteHyperlinkResponse()
    Create an instance of `DeleteHyperlinkResponse`

  - ### createShiftDestinationPageRequest

    public ShiftDestinationPageRequest createShiftDestinationPageRequest()
    Create an instance of `ShiftDestinationPageRequest`

  - ### createShiftDestinationPageResponse

    public ShiftDestinationPageResponse createShiftDestinationPageResponse()
    Create an instance of `ShiftDestinationPageResponse`

  - ### createGetDestinationUrlsRequest

    public GetDestinationUrlsRequest createGetDestinationUrlsRequest()
    Create an instance of `GetDestinationUrlsRequest`

  - ### createGetDestinationUrlsResponse

    public GetDestinationUrlsResponse createGetDestinationUrlsResponse()
    Create an instance of `GetDestinationUrlsResponse`

  - ### createGetCheckinPdfFileUrlsRequest

    public GetCheckinPdfFileUrlsRequest createGetCheckinPdfFileUrlsRequest()
    Create an instance of `GetCheckinPdfFileUrlsRequest`

  - ### createGetCheckinPdfFileUrlsResponse

    public GetCheckinPdfFileUrlsResponse createGetCheckinPdfFileUrlsResponse()
    Create an instance of `GetCheckinPdfFileUrlsResponse`

  - ### createCheckoutPdfFileRequest

    public CheckoutPdfFileRequest createCheckoutPdfFileRequest()
    Create an instance of `CheckoutPdfFileRequest`

  - ### createCheckoutPdfFileResponse

    public CheckoutPdfFileResponse createCheckoutPdfFileResponse()
    Create an instance of `CheckoutPdfFileResponse`

  - ### createCreateHyperlinkRequest

    public CreateHyperlinkRequest createCreateHyperlinkRequest()
    Create an instance of `CreateHyperlinkRequest`

  - ### createCreateHyperlinkResponse

    public CreateHyperlinkResponse createCreateHyperlinkResponse()
    Create an instance of `CreateHyperlinkResponse`